| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
GaudiPython.Bindings.iAlgorithm Class Reference
Inheritance diagram for GaudiPython.Bindings.iAlgorithm:
[legend]
Collaboration diagram for GaudiPython.Bindings.iAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name, ialg=None)
def | retrieveInterface (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Static Public Attributes
| initialize = lambdaself:self.__call_interface_method__("_ialg","initialize")
| start = lambdaself:self.__call_interface_method__("_ialg","start")
| execute = lambdaself:self.__call_interface_method__("_ialg","execute")
| stop = lambdaself:self.__call_interface_method__("_ialg","stop")
| finalize = lambdaself:self.__call_interface_method__("_ialg","finalize")
| reinitialize = lambdaself:self.__call_interface_method__("_ialg","reinitialize")
| restart = lambdaself:self.__call_interface_method__("_ialg","restart")
| sysInitialize = lambdaself:self.__call_interface_method__("_ialg","sysInitialize")
| sysStart = lambdaself:self.__call_interface_method__("_ialg","sysStart")
| sysExecute = lambdaself:self.__call_interface_method__("_ialg","sysExecute")
| sysStop = lambdaself:self.__call_interface_method__("_ialg","sysStop")
| sysFinalize = lambdaself:self.__call_interface_method__("_ialg","sysFinalize")
| sysReinitialize = lambdaself:self.__call_interface_method__("_ialg","sysReinitialize")
| sysRestart = lambdaself:self.__call_interface_method__("_ialg","sysRestart")

## Detailed Description

    Python equivalent to IAlgorithm interface

Definition at line 313 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iAlgorithm.__init__ | ( |  | self,
|  |  | name,
|  |  | ialg = `None`
| ) |  |

Definition at line 315 of file Bindings.py.

315 def __init__(self, name, ialg = None ) :
316 iProperty.__init__(self, name, ialg )
317 if ialg : self.__dict__['_ialg'] = InterfaceCast(gbl.IAlgorithm)(ialg)
318 else : self.__dict__['_ialg'] = None
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86
GaudiPython.Bindings.iAlgorithm.__init__
def __init__(self, name, ialg=None)
Definition: Bindings.py:315

## Member Function Documentation

def GaudiPython.Bindings.iAlgorithm.retrieveInterface | ( |  | self | ) |

Definition at line 319 of file Bindings.py.

319 def retrieveInterface(self) :
320 ialg = Helper.algorithm(InterfaceCast(gbl.IAlgManager)(self._svcloc),self._name)
321 if ialg : iAlgorithm.__init__(self, self._name, ialg)
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86
GaudiPython.Bindings.iAlgorithm.retrieveInterface
def retrieveInterface(self)
Definition: Bindings.py:319

## Member Data Documentation

GaudiPython.Bindings.iAlgorithm.execute = lambdaself:self.__call_interface_method__("_ialg","execute")
| static

Definition at line 324 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.finalize = lambdaself:self.__call_interface_method__("_ialg","finalize")
| static

Definition at line 326 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.initialize = lambdaself:self.__call_interface_method__("_ialg","initialize")
| static

Definition at line 322 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.reinitialize = lambdaself:self.__call_interface_method__("_ialg","reinitialize")
| static

Definition at line 327 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.restart = lambdaself:self.__call_interface_method__("_ialg","restart")
| static

Definition at line 328 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.start = lambdaself:self.__call_interface_method__("_ialg","start")
| static

Definition at line 323 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.stop = lambdaself:self.__call_interface_method__("_ialg","stop")
| static

Definition at line 325 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.sysExecute = lambdaself:self.__call_interface_method__("_ialg","sysExecute")
| static

Definition at line 331 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.sysFinalize = lambdaself:self.__call_interface_method__("_ialg","sysFinalize")
| static

Definition at line 333 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.sysInitialize = lambdaself:self.__call_interface_method__("_ialg","sysInitialize")
| static

Definition at line 329 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.sysReinitialize = lambdaself:self.__call_interface_method__("_ialg","sysReinitialize")
| static

Definition at line 334 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.sysRestart = lambdaself:self.__call_interface_method__("_ialg","sysRestart")
| static

Definition at line 335 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.sysStart = lambdaself:self.__call_interface_method__("_ialg","sysStart")
| static

Definition at line 330 of file Bindings.py.

GaudiPython.Bindings.iAlgorithm.sysStop = lambdaself:self.__call_interface_method__("_ialg","sysStop")
| static

Definition at line 332 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py